### Method

# FwupdPlugin Context get_battery_level

since: 1.6.0

#### Declaration [src]

    guint
    fu_context_get_battery_level (
      FuContext* self
    )

#### Description [src]

Gets the system battery level in percent.

Available since: 1.6.0

Gets property | `FwupdPlugin.Context:battery-level`

#### Return value

Type: `guint`

Percentage value, or `FWUPD_BATTERY_LEVEL_INVALID` for unknown.